# RPC3.h File Reference

Automatically serializing and deserializing RPC system. Third generation of RPC. More...

`#include "RPC3_Boost.h"`
`#include "PluginInterface2.h"`
`#include "PacketPriority.h"`
`#include "RakNetTypes.h"`
`#include "BitStream.h"`
`#include "RakString.h"`
`#include "NetworkIDObject.h"`
`#include "DS_StringKeyedHash.h"`
`#include "DS_OrderedList.h"`

## Classes
class | RakNet::RPC3
| The RPC3 plugin allows you to call remote functions as if they were local functions, using the standard function call syntax. More...
## Namespaces
namespace | RakNet
| Forward declaration.

## Enumerations
enum | RakNet::RPCErrorCodes { RakNet::RPC_ERROR_NETWORK_ID_MANAGER_UNAVAILABLE, RakNet::RPC_ERROR_OBJECT_DOES_NOT_EXIST, RakNet::RPC_ERROR_FUNCTION_INDEX_OUT_OF_RANGE, RakNet::RPC_ERROR_FUNCTION_NOT_REGISTERED, RakNet::RPC_ERROR_FUNCTION_NO_LONGER_REGISTERED, RakNet::RPC_ERROR_CALLING_CPP_AS_C, RakNet::RPC_ERROR_CALLING_C_AS_CPP, RakNet::RPC_ERROR_STACK_TOO_SMALL, RakNet::RPC_ERROR_STACK_DESERIALIZATION_FAILED, RakNet::RPC_ERROR_INCORRECT_NUMBER_OF_PARAMETERS, RakNet::RPC_ERROR_FUNCTION_NOT_REGISTERED, RakNet::RPC_ERROR_NETWORK_ID_MANAGER_UNAVAILABLE, RakNet::RPC_ERROR_OBJECT_DOES_NOT_EXIST, RakNet::RPC_ERROR_FUNCTION_INDEX_OUT_OF_RANGE, RakNet::RPC_ERROR_FUNCTION_NOT_REGISTERED, RakNet::RPC_ERROR_FUNCTION_NO_LONGER_REGISTERED, RakNet::RPC_ERROR_CALLING_CPP_AS_C, RakNet::RPC_ERROR_CALLING_C_AS_CPP }
| Error codes returned by a remote system as to why an RPC function call cannot execute. More...

## Detailed Description

Automatically serializing and deserializing RPC system. Third generation of RPC.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.